GET
/ai_labs/organization/{Organization_Id}/group/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
Responses
Section titled “Responses”Successfully retrieved group list
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
allowed_plans
Array<object>
object
plan_id
integer
plan_name
string
max_instances
integer
policies
Array<object>
object
id
integer
name
string
description
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
services
Array<object>
object
permissions
integer
service
object
service_id
string
alias_name
string
description
string
tag
string
created_by
object
id
integer
name
string
email
string
username
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 55, "allowed_plans": [ { "plan_id": 1, "plan_name": "GDC.H100.5g.3.9GB_SXM", "max_instances": 1 } ], "policies": [ { "id": 363, "name": "E2E Default AI-Labs Student Policy.", "description": "This policy is created by default to give all the access to the students.", "created_by": { "id": 7483, "name": "test", "email": "test@gmail.com", "username": "test@gmail.com" }, "created_at": "2025-10-28T06:21:09.594211Z", "updated_at": "2025-10-28T06:21:09.594263Z", "services": [ { "permissions": 15, "service": { "service_id": "notebook", "alias_name": "Node", "description": "notebook" } } ] } ], "tag": "Default", "created_by": { "id": 7483, "name": "test", "email": "test@gmail.com", "username": "test@gmail.com" } } ], "errors": {}, "message": "Success"}